import { Component } from '@angular/core';

@Component({
  selector: 'svg-phone',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      fill="none"
    >
      <path
        d="M10.7989 14.3996C10.3857 14.3996 9.97606 14.3266 9.57545 14.181C7.81057 13.5399 6.17239 12.4957 4.83794 11.1613C3.5035 9.82685 2.45929 8.18864 1.81819 6.42376C1.61217 5.85658 1.55138 5.27111 1.63755 4.68353C1.71827 4.13316 1.93146 3.59885 2.2541 3.13837C2.57816 2.67587 3.01019 2.29118 3.50347 2.02592C4.0295 1.74305 4.60365 1.59961 5.21003 1.59961C5.39862 1.59961 5.56161 1.73138 5.60113 1.91577L6.22896 4.84563C6.25738 4.9783 6.21661 5.11634 6.12069 5.21229L5.04791 6.28504C6.05992 8.29711 7.70205 9.93924 9.71412 10.9513L10.7869 9.87847C10.8828 9.78255 11.0209 9.74183 11.1535 9.7702L14.0834 10.398C14.2678 10.4375 14.3995 10.6005 14.3995 10.7891C14.3995 11.3955 14.2561 11.9697 13.9732 12.4957C13.708 12.989 13.3233 13.421 12.8608 13.7451C12.4003 14.0677 11.866 14.2809 11.3156 14.3616C11.1431 14.387 10.9707 14.3996 10.7989 14.3996ZM4.89044 2.41708C4.0906 2.50537 3.38068 2.92461 2.90924 3.59745C2.37912 4.35405 2.2555 5.28463 2.57008 6.15065C3.80263 9.54366 6.45555 12.1966 9.84856 13.4291C10.7145 13.7437 11.6451 13.6201 12.4018 13.09C13.0746 12.6185 13.4938 11.9086 13.5821 11.1088L11.1987 10.598L10.0784 11.7184C9.95913 11.8376 9.77799 11.8693 9.62544 11.7976C7.24579 10.6796 5.31957 8.75342 4.20162 6.37376C4.12994 6.22119 4.16159 6.04005 4.28081 5.92086L5.40117 4.8005L4.89044 2.41708Z"
        fill="#9EADC5"
      />
    </svg>
  `,
})
export class SvgPhoneComponent {}
